package redis_protocol_crawler_go

import (
	"encoding/json"
	"loafle.com/overflow/commons_go/matcher/redis"
	"loafle.com/overflow/crawler_go"
	config "loafle.com/overflow/agent_api/config_manager"
)

type RedisHeahthCrawler struct {
	crawler.SocketHeahthCrawler
}

func (r *RedisHeahthCrawler) Internal(params config.Config) ([]byte, error) {

	b, err := r.CheckHeahth(params)
	if err != nil {
		return nil, err
	}
	return json.Marshal(b)
}

func NewRedisHeahthCrawler() *RedisHeahthCrawler {
	r := &RedisHeahthCrawler{}
	r.SetInternal(r)
	r.SetMatcher(redis.NewRedisMatcher())
	return r
}
